> For the complete documentation index, see [llms.txt](https://docs.reach-book.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.reach-book.com/developers/api-reference/groups.md).

# Groups

Named lists of prospects. Filter prospects by group with `GET /prospects?group_id=`.

Each operation below is rendered from the live OpenAPI specification, so fields and responses always match the API.

## List groups

{% openapi src="<https://reach-book.com/developers/openapi>" path="/groups" method="get" %}
<https://reach-book.com/developers/openapi>
{% endopenapi %}

## Add prospects to a group

{% openapi src="<https://reach-book.com/developers/openapi>" path="/groups/{group}/prospects" method="post" %}
<https://reach-book.com/developers/openapi>
{% endopenapi %}

## Remove prospects from a group

{% openapi src="<https://reach-book.com/developers/openapi>" path="/groups/{group}/prospects" method="delete" %}
<https://reach-book.com/developers/openapi>
{% endopenapi %}
